#Classic1 R Wrapper Function

#The first function
dyn.load("Classic1.so")
classic1 <- function( data, Y, lambda, epsilon=1e-8, M, correct=T){
		
	#Get dimensions
		n <- dim(data)[1]
		p <- dim(data)[2]		

	#run the function in C with the scaled data
	func.Return <- .C("Classic1", as.vector(as.double(Y)), as.vector(as.double(data)), as.integer(n), as.integer(p), as.double(lambda), as.double(epsilon), as.integer(M), as.integer(correct),
		as.double(0), vector("double", M), vector("integer", M), as.integer(0) )
	
	numKept = func.Return[[12]]
	keep.raw = func.Return[[11]] + 1
	#which.keep = func.Return[[10]] + 1
	#which.keep = which.keep[1:numKept]
	#which.keep = sort( unique(which.keep) )
	#beta.hat = c( func.Return[[8]], func.Return[[9]] )
	#list( beta.hat=beta.hat, which.keep=which.keep, m=numKept)
	
	beta.hat = func.Return[[10]]
	keep = c(keep.raw[1:numKept], 0)
	cbind( keep, c( beta.hat[1:numKept], func.Return[[9]]) )
}	




